Subject: bug#18891: Doesn't handle pwd = /C: very well

From: Michael Albinus <[email-masked]>
Date: Wed, 05 Nov 2014 21:07:26 +0100

Eli Zaretskii <[email-masked]> writes:

>> PS this makes me think, what happens if the local file name happens to
>> match a remote host that does exist...
>
> I think the file should match a remote host prefixed with a protocol
> supported by Tramp, not just the host name, for this issue to pop up.

Tramp supports both "/method:host:" and just "/host:".

> I think the idea is that such files are very rare, and using the /:
> prefix to quote them is the fire escape.

Yes. But somehow I have the impression, that it doesn't work fully as
expected in Glenn's scenario. Will check.

Best regards, Michael.